-- |    _____ _          _ _                 _                      ______    _ _ _              
-- |   / ____| |        | (_)               | |                    |  ____|  | (_) |             
-- |  | (___ | | ___   _| |_ _ __   ___     | |    _   _  __ _     | |__   __| |_| |_ ___  _ __  
-- |   \___ \| |/ / | | | | | '_ \ / _ \    | |   | | | |/ _` |    |  __| / _` | | __/ _ \| '__| 
-- |   ____) |   <| |_| | | | | | |  __/    | |___| |_| | (_| |    | |___| (_| | | || (_) | |    
-- |  |_____/|_|\_\\__, |_|_|_| |_|\___|    |______\__,_|\__,_|    |______\__,_|_|\__\___/|_|    
-- |                __/ |                                                                        
-- |               |___/                                                                         

-- |==========================================================================================================================================
-- | Constructors

-- | Melee NPC Basic

function entity_main(objID)
	sky.lprint("Adding Actions....");
	
	sensorID = action.getActionID(objID, "AI Sensor")

	if(sensorID<=0)then
		sensorID = action.addToEntity(objID,"PLAYER", "AI Sensor");
	else
		sky.lprint("Warning: Adding Action - AI Sensor Action is already active.");
	end
	
	action.setActionParam(objID, sensorID, "AIS Query Data","2");
	action.setActionParam(objID, sensorID, "AIS Bounds Radius","3");
	
	damageID = action.getActionID(objID, "Damage System")

	if(damageID<=0)then
		damageID = action.addToEntity(objID,"PLAYER", "Damage System");
	else
		sky.lprint("Warning: Adding Action - Damage System Action is already active.");
	end
	
	action.setActionParam(objID, damageID, "DS Health","50");
	action.setActionParam(objID, damageID, "DS Enable KO Effects","false");
	action.setActionParam(objID, damageID, "DS KO Audio Enable","false");
	

	--entity.addScript(objID,"/Library 0.9.4/Melee_Combat_Dummy.lua");
end

